=== debian/changelog ===
veracrypt (1.17-1mx150+1) mx; urgency=medium

  * New upstream release:
    - Support UNICODE passwords: all characters are now accepted in passwords
      (except Windows system encryption).
    - Cut mount/boot time by half thanks to a clever optimization of key
      derivation (found by Xavier de Carné de Carnavalet).
    - Optimize Whirlpool PRF speed by using assembly (25% speed gain compared
      to previous code).
    - Add support for creating exFAT volumes.
    - Add GUI indicator for the amount of randomness gathered using mouse
      movement.
    - Include new icons and graphics contributed by Andreas Becker
      (http://www.andreasbecker.de)
    - Fix issue of --stdin option not handling correctly passwords that contain
      a space character (reported - and fixed by Codeplex user horsley1953).
    - Fix issue creating volumes using command line with a filesystem other
      than FAT.
    - Support K/M/G/T suffixes for --size switch to indicate unit to use for
      size value.
  * Change icon to new version from source, patch and use .desktop file from
    source.      
  * Install PDF user's manual into separate package.
  * Create and install manpage.
  * Add missing debian/compat.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 16 Apr 2016 10:31:51 -0700

veracrypt (1.16-2mx150+1) mx; urgency=medium

  * Menu icon going into wrong folder with wrong name; fixed with debian/install.
  * Rework of debian/rules to modernize it.
  * debian/control: mention PDF user's guide in description.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 07 Feb 2016 11:14:22 -0800
 

veracrypt (1.16-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Drop libwxbase3.0-dev build-dep; it's brought in by libwxgtk3.0-dev. 

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 05 Feb 2016 12:18:54 -0800

veracrypt (1.16-1ppa1~trusty1) trusty; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Oct 2015 18:48:11 +0300

veracrypt (1.16-1) unstable; urgency=low

  * Initial release (Closes: #123456)  

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Oct 2015 12:00:47 +0300
