=== debian/control ===
Source: veracrypt
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libwxgtk3.0-dev,
 libfuse-dev,
 dmsetup,
 libsm6,
 wget,
 nasm [amd64 i386],
 makeself [linux-any]
Standards-Version: 3.9.6
Homepage: https://veracrypt.codeplex.com/

Package: veracrypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: veracrypt-pdf-doc
Description: Free open-source disk encryption software
 VeraCrypt is a software system for establishing and maintaining an
 on-the-fly-encrypted volume (data storage device). On-the-fly encryption
 means that data are automatically encrypted or decrypted right before they
 are loaded or saved, without any user intervention. No data stored on an
 encrypted volume can be read (decrypted) without using the correct
 password/keyfile(s) or correct encryption keys. Entire file system is
 encrypted (e.g., file names, folder names, contents of every file,
 free space, meta data, etc).
  
Package: veracrypt-pdf-doc
Architecture: all
Description: PDF user manual for Veracrypt
 VeraCrypt is a software system for establishing and maintaining an
 on-the-fly-encrypted volume (data storage device). On-the-fly encryption
 means that data are automatically encrypted or decrypted right before they
 are loaded or saved, without any user intervention. No data stored on an
 encrypted volume can be read (decrypted) without using the correct
 password/keyfile(s) or correct encryption keys. Entire file system is
 encrypted (e.g., file names, folder names, contents of every file,
 free space, meta data, etc).
 .
 This package contains the PDF user's manual.
