=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_build:
	cd src && LIBS="-ldl" $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	cd src && (test ! -f Makefile || $(MAKE) clean)
	
override_dh_auto_install:
	mkdir -p debian/veracrypt-pdf-doc/usr/share/doc/veracrypt-pdf-doc
	cp "src/Release/Setup Files/VeraCrypt User Guide.pdf" debian/veracrypt-pdf-doc/usr/share/doc/veracrypt-pdf-doc
	dh_auto_install
	
#override_dh_builddeb:
#	dh_builddeb -- -Z xz
