## veracrypt 1.21~repack

=== debian/changelog ===
veracrypt (1.21~repack-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Sep 2017 16:01:07 -0700

veracrypt (1.21~repack-0mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove MacOS-specific /src/Setup folder to cut source tarball size in half.
  * d/c: Specify versions of yasm and libappindicator-dev for successful builds.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Jul 2017 14:58:35 -0700

veracrypt (1.21-0vanir1~14.04) trusty; urgency=medium

  * d/compat, d/control: Lower debhelper to compat 10 for backport to trusty.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 11 Jul 2017 18:12:28 -0400

veracrypt (1.21-0vanir1) unstable; urgency=medium

  * New upstream version 1.21
    - Refresh patches.
  * Run wrap-and-sort.
  * Bump standards-version to 4.0.0.
  * d/30veracrypt, d/veracrypt, d/veracrypt.(install,default):
    - Dismount all volumes on suspend.
  * d/compat, d/control: Bump debhelper to compat 10.
  * d/control:
    - Update homepage.
    - Switch build-depend from nasm to yasm.
    - Drop dep on dosfstools, recommend exfat-utils and ntfs-3g.
    - Drop build-depend on makeself and imagemagick.
  * d/copyright: Update copyright information and years.
  * d/p/003-indicator-support.diff: Extend to compile with Ayatana indicators.
  * d/p/004-fixup-install.diff: Fix the install target so we can use it.
  * d/rules:
    - Pass '--as-needed' to LDFLAGS.
    - Drop imagemagick rules to convert the xpm.
    - The pdf user guide no longer exists, drop rules tweaking it.
  * d/veracrypt.desktop: Correctly pass the file to open.
  * d/veracrypt.docs: Drop user_guide.pdf.
  * d/veracrypt.doc-base: Update to note the html docs, not pdf.
  * d/veracrypt.init: Fix a case mismatch.
  * d/veracrypt.install: Drop veracrypt(,.xpm), upstream has an install target.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 10 Jul 2017 20:44:46 -0400

veracrypt (1.19+repack-0vanir2) unstable; urgency=medium

  * d/rules: Disable strip during build as it prevents dbgsym autogeneration.
  * d/veracrypt.install, d/veracrypt.desktop, d/veracrypt.xml:
    - Give '.hc' and '.tc' mimetypes, and associate them with VeraCrypt.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 16 Feb 2017 17:08:41 -0500

veracrypt (1.19+repack-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.19+repack
    - Refresh patches.
  * d/copyright: Correct URLs, use correct alternate license.
  * d/control: Depend on lsb-base.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 17 Oct 2016 18:54:06 -0400

veracrypt (1.18-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.18
    - Drop upstream patch, refresh remaining patches.
  * d/watch: Find releases using Proper Case tarballs.
  * Update standards-version to 3.9.8.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Aug 2016 18:00:57 -0400

veracrypt (1.17-0vanir2) unstable; urgency=medium

  * d/p/004-gcc5-compatibility.diff:
    - Add a patch from upstream fixing GCC5 compatibility.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 18 Mar 2016 16:59:03 -0400

veracrypt (1.17-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.17.
    - Refresh patches.
  * Update standards-version to 3.9.7.
  * Update my email address.
  * d/veracrypt.menu: Drop menu, following CTTE #741573.
  * d/README.Debian: Drop, changes are unimportant, leftover from TC.
  * d/veracrypt.desktop: Add some keywords.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 22 Feb 2016 18:48:31 -0500

veracrypt (1.14-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.14.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 19 Sep 2015 16:53:59 -0400

veracrypt (1.12-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.12.
    - Remove upstream commits.
      + d/p/004-Correct-wxWidgets-assert-warnings-when-displaying-about.diff
    - Refresh remaining patches.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 06 Aug 2015 20:52:40 -0400

veracrypt (1.0f-2-0vanir3) unstable; urgency=medium

  * d/p/004-Correct-wxWidgets-assert-warnings-when-displaying-about.diff:
    - Add patch from upstream to fix assert when opening about dialog.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 20 Apr 2015 18:20:18 -0400

veracrypt (1.0f-2-0vanir2) unstable; urgency=medium

  * d/control:
    - Drop version deps on e2fsprogs and mount.
    - Replace module-init-tools with kmod.
    - Drop dep on xterm.
    - Bump xdg-utils down to recommends.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 13 Apr 2015 17:44:29 -0400

veracrypt (1.0f-2-0vanir1) unstable; urgency=medium

  * Imported Upstream version 1.0f-2
    - Drop 003-file-manager.diff and 004-no-preference-x.diff, fixed upstream.
    - Refresh remaining patches.
  * Remove all references to opencryptoki.
  * d/rules: Enable verbose build.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 06 Apr 2015 16:58:55 -0400

veracrypt (1.0f-1-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * d/watch: Pick up releases with underscores and dashes too.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 08 Jan 2015 04:45:50 -0500

veracrypt (1.0f-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refreshed patches.
  * d/watch: Update for tar.gz, bz2 and xz.
  * d/copyright: Update years.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 03 Jan 2015 04:11:10 -0500

veracrypt (1.0e-0vanir1) unstable; urgency=medium

  * Initial release.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 09 Nov 2014 15:36:54 -0500
