=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh  $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1 NOSTRIP=1
	unset DISPLAY && src/Main/veracrypt --text --help 2>/dev/null | debian/veracrypt_help_to_troff.pl > veracrypt.1

override_dh_clean:
	dh_clean veracrypt.1

override_dh_installinit:
	dh_installinit --no-start -- stop 10 0 1 6 .
