## veracrypt 1.23~ds1

=== debian/changelog ===
veracrypt (1.23~ds1-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove superfluous Mac OSX setup files from /src, recompress tarball.
  * Revert to debhelper compat 10.
  * Make the recommended packages dependencies.
  * Disable automatic dpgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Oct 2018 13:44:57 -0700

veracrypt (1.23-0vanir1~16.04) xenial; urgency=medium

  * No-change backport to xenial

 -- Unit 193 <unit193@ubuntu.com>  Sat, 15 Sep 2018 19:20:01 -0400

veracrypt (1.23-0vanir1) unstable; urgency=medium

  * d/u/signing-key.asc: Update for new signing key.
  * New upstream version 1.23
    - Refresh patches.
  * Update Standards-Version to 4.2.1.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 15 Sep 2018 17:26:29 -0400

veracrypt (1.22-0vanir1) unstable; urgency=medium

  * New upstream version 1.22
    - d/p/005-fix-ftbfs-gcc-7.diff: Drop, applied upstream.
    - Refresh remaining patches.
  * Update Standards-Version to 4.1.3.
  * d/copyright:
    - Add a comment as to why this is a 'non-free' package.
    - Update years.
  * d/compat, d/control: Bump dh compat to 11.
  * d/p/003-indicator-support.diff: Correct the indicator icon name.
  * d/s/lintian-overrides: Override notes about pre-built windows files.
  * d/veracrypt.docs: Install src/NOTICE.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 30 Mar 2018 22:38:27 -0400

veracrypt (1.21-0vanir2) unstable; urgency=medium

  * Update Standards-Version to 4.1.1.
  * d/p/005-fix-ftbfs-gcc-7.diff: Fix FTBFS with gcc 7.
  * d/watch: Use https sf.net redirector.
  * d/control: Add libayatana-appindicator-dev as primary alt build-dep.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 02 Nov 2017 20:51:20 -0400
