=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: non-free/utils
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 9),
- libappindicator-dev (>= 0.4.92-4) | libappindicator-dev (<< 0.4.92-3.1),
+Build-Depends: debhelper (>= 10),
+ libayatana-appindicator-dev | libappindicator-dev,
  libfuse-dev,
  libwxgtk3.0-dev,
  pkg-config,
- yasm (>= 1.2) [any-i386 any-amd64]
-Standards-Version: 4.0.0
+ yasm [any-i386 any-amd64]
+Standards-Version: 4.2.1
 Homepage: https://veracrypt.fr/
 
 Package: veracrypt
@@ -21,8 +20,7 @@
  lsb-base,
  sudo,
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
+ ${shlibs:Depends},
  exfat-utils,
  ntfs-3g,
  xdg-utils
