=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -20,3 +17,6 @@
 
 override_dh_installinit:
 	dh_installinit --no-start -- stop 10 0 1 6 .
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
